const express = require('express');
const router = express.Router();
const incomeController = require('../controllers/incomehrx.controller');

router.get('/accountincome', incomeController.getAccountIncome);
router.get('/categoryincome', incomeController.getCategoryIncome);
router.get('/invoiceIncome', incomeController.getInvoiceIncome);
router.get('/totalIncome', incomeController.getTotalIncome);
router.get('/incomehorux', incomeController.getIncomeHorux);
router.get('/oneincomehorux/:id', incomeController.getOneIncome);
router.get('/stripedata/', incomeController.getstripeservice);
router.post('/stripedatademo/', incomeController.addDemostripeData);
router.post('/insertinvoice', incomeController.addfacturas);
router.post('/newincome', incomeController.newIncome);
router.put('/updateincome/:id', incomeController.updateIncome);









module.exports = router;